aboutsummaryrefslogtreecommitdiffstats
path: root/main/spamassassin/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-11-20 08:39:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-11-20 08:39:07 +0000
commit8120f86bb6b8147193d6adbe054b98c4b95be6f2 (patch)
tree27c24328e73ed41f3187bf159f72daaddb18665a /main/spamassassin/APKBUILD
parent50c84065f0a827f2c6098c536f14eba0e004881e (diff)
downloadaports-8120f86bb6b8147193d6adbe054b98c4b95be6f2.tar.gz
aports-8120f86bb6b8147193d6adbe054b98c4b95be6f2.tar.bz2
aports-8120f86bb6b8147193d6adbe054b98c4b95be6f2.tar.xz
main/spamassassin: build fix
used patch from gentoo to fix DESTDIR issue
Diffstat (limited to 'main/spamassassin/APKBUILD')
-rw-r--r--main/spamassassin/APKBUILD21
1 files changed, 16 insertions, 5 deletions
diff --git a/main/spamassassin/APKBUILD b/main/spamassassin/APKBUILD
index e22803fa43..c82a4a2f8c 100644
--- a/main/spamassassin/APKBUILD
+++ b/main/spamassassin/APKBUILD
@@ -3,21 +3,31 @@
pkgname=spamassassin
_realname=Mail-SpamAssassin
pkgver=3.2.5
-pkgrel=0
+pkgrel=1
pkgdesc="The Powerful #1 Open-Source Spam Filter"
url="http://spamassassin.apache.org"
license="Apache"
-depends="perl perl-digest-sha1 perl-html-parser perl-net-dns perl-db_file zlib"
+depends="perl perl-digest-sha1 perl-html-parser perl-net-dns perl-db_file"
makedepends="perl-dev zlib-dev"
install=
subpackages="$pkgname-doc"
-source="http://www.apache.org/dist/spamassassin/source/$_realname-3.2.5.tar.gz"
+source="http://www.apache.org/dist/spamassassin/source/$_realname-3.2.5.tar.gz
+ spamassassin-3.2.5-DESTDIR.patch"
+
+prepare() {
+ cd "$srcdir/$_realname-$pkgver"
+ patch -p1 -i ../spamassassin-3.2.5-DESTDIR.patch || return 1
+}
build() {
cd "$srcdir/$_realname-$pkgver"
PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
- make || return 1
+ make
+}
+
+package() {
+ cd "$srcdir/$_realname-$pkgver"
make DESTDIR="$pkgdir" install
install -m755 -D ../../spamd.init $pkgdir/etc/init.d/spamd
install -m644 -D ../../spamd.conf $pkgdir/etc/conf.d/spamd.conf
@@ -27,4 +37,5 @@ build() {
find "$pkgdir" -name perllocal.pod -delete
}
-md5sums="7fdc1651d0371c4a7f95ac9ae6f828a6 Mail-SpamAssassin-3.2.5.tar.gz"
+md5sums="7fdc1651d0371c4a7f95ac9ae6f828a6 Mail-SpamAssassin-3.2.5.tar.gz
+45885134199c9427add4d9bcb46311cf spamassassin-3.2.5-DESTDIR.patch"